

public static class FileAllocationTableBytes
{
    // Derived from user captured SPI communications
    public static byte[] fat_patch = new byte[] 
    { 
        //0x4C, 0x53, 0x00, 0x00                // "LS" the magic number
        0x51, 0x00, 0xA0, 0x01,     /* 0. NVS */
        0xF1, 0x01, 0xA0, 0x01,     /* 1. NVS Shadow */
        0x91, 0x03, 0x00, 0x10,     /* 2. Wireless Conf */
        0x91, 0x13, 0x00, 0x10,     /* 3. Wireless Conf Shadow */
        0x91, 0x23, 0x00, 0x20,     /* 4. BT (WLAN driver) Patches */
        0x91, 0x43, 0x00, 0x20,     /* 5. WiLink (Firmware) Patches */
        0x91, 0x63, 0x10, 0x00,     /* 6. MAC addr */
        0xA1, 0x63, 0x10, 0x00,     /* 7. Frontend Vars */
        0xB1, 0x63, 0x40, 0x00,     /* 8. IP config */
        0xF1, 0x63, 0x40, 0x00,     /* 9. IP config Shadow */
        0x31, 0x64, 0x00, 0x04,     /* 10. Bootloader Patches */
        0x31, 0x68, 0x00, 0x02,     /* 11. Radio Module params */
        0x00, 0x00, 0x00, 0x00,     /* 12. AES128 for smart config */
        0x00, 0x00, 0x00, 0x00,     /* 13. user file */
        0x00, 0x00, 0x00, 0x00,     /* 14. user file */
        0x00, 0x00, 0x00, 0x00      /* 15. user file */
    };


    // Derived From TI Patch Programmer...
    public static byte[] fat_patch2 = new byte[] 
    { 
        //0x4C, 0x53, 0x00, 0x00                // "LS" the magic number
        0x50, 0x00, 0xA0, 0x01,     /* 0. NVS */
        0xF0, 0x01, 0xA0, 0x01,     /* 1. NVS Shadow */
        0x90, 0x03, 0x00, 0x10,     /* 2. Wireless Conf */
        0x90, 0x13, 0x00, 0x10,     /* 3. Wireless Conf Shadow */
        0x90, 0x23, 0x00, 0x20,     /* 4. BT (WLAN driver) Patches */
        0x90, 0x43, 0x00, 0x20,     /* 5. WiLink (Firmware) Patches */
        0x90, 0x63, 0x10, 0x00,     /* 6. MAC addr */
        0xA0, 0x63, 0x10, 0x00,     /* 7. Frontend Vars */
        0xB0, 0x63, 0x40, 0x00,     /* 8. IP config */
        0xF0, 0x63, 0x40, 0x00,     /* 9. IP config Shadow */
        0x30, 0x64, 0x00, 0x04,     /* 10. Bootloader Patches */
        0x30, 0x68, 0x00, 0x02,     /* 11. Radio Module params */
        0x00, 0x00, 0x00, 0x00,     /* 12. AES128 for smart config */
        0x00, 0x00, 0x00, 0x00,     /* 13. user file */
        0x00, 0x00, 0x00, 0x00,     /* 14. user file */
        0x00, 0x00, 0x00, 0x00      /* 15. user file */
    };

    // Read from the memory of a functional 1.19 upgraded device:
    //4C530000F301A0015100A0019313001093030010932300209343002093631000A1631000B3634000F3634000316400043368000200000000000000000000000000000000

    // Derived From TI Patch Programmer...
    public static byte[] fat_patch3 = new byte[] 
    { 
        //0x4C, 0x53, 0x00, 0x00                // "LS" the magic number
        0xF3, 0x01, 0xA0, 0x01,
        0x51, 0x00, 0xA0, 0x01,
        0x93, 0x13, 0x00, 0x10,
        0x93, 0x03, 0x00, 0x10,
        0x93, 0x23, 0x00, 0x20,
        0x93, 0x43, 0x00, 0x20,
        0x93, 0x63, 0x10, 0x00,
        0xA1, 0x63, 0x10, 0x00,
        0xB3, 0x63, 0x40, 0x00,
        0xF3, 0x63, 0x40, 0x00,
        0x31, 0x64, 0x00, 0x04,
        0x33, 0x68, 0x00, 0x02,
        0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00        
        
    };

}
